Subject: bug#11153: change automake branching policy: dispensing with the 'branch-X.Y' branches in the future

From: Stefano Lattarini <[email-masked]>
Date: Wed, 04 Apr 2012 13:38:41 +0200

On 04/04/2012 12:55 PM, Peter Rosin wrote:
> On 2012-04-04 11:50, Stefano Lattarini wrote:
>> On 04/03/2012 12:01 AM, Peter Rosin wrote:
>>>
>>> [SNIP]
>>>
>>> I'll try to explain what I mean again...
>>>
>>> I think we should do exactly as you describe above.  However, for the
>>> class of changes that are related to the actual release from maint
>>>
>> Changes which, actually, consist just in *bumping a version number* in
>> NEWS and in the AC_INIT invocation in configure (in our current setup
>> at least).
> 
> Ok, we'll have to agree to disagree then.
>
That's fine, I just wanted to be sure there were no misunderstandings nor
incomprehension.

> I just know that I hate those
> version conflicts in other (proprietary) git repos I'm using.  But since
> I'm probably not going to have to deal with it anyway, I guess that as
> long as you're happy with it, I'm sure it's going to work out..
>
OK, thanks.  Too bad I couldn't win you over to my side though.

And anyway, if it turns out my expectation about these version conflicts are
overly optimistic, we can revert to the old branch setup from 1.13 onwards (or
even implement you suggestion about "a temporary branch for each release").

> BTW, your log of the maint branch in git.git does not show how they
> handle the version merge conflicts
>
I'm not sure about this either; we might end up asking them some day ...

> (or if they merge maint into master at all,
>
Yes they do, as easily shown by gitk.

> I have zero knowledge of how git uses their maint branch).
>
For more info, you might take a look at the "REPOSITORIES, BRANCHES AND
DOCUMENTATION" section of:

  <http://git-blame.blogspot.it/p/note-from-maintainer.html>

Regards,
  Stefano